ReactPhysics3D: reactphysics3d::OverlapCallback::OverlapPair Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
reactphysics3d::OverlapCallback::OverlapPair Class Reference

This class represents the contact between two colliders of the physics world. More...

`#include <include/reactphysics3d/collision/OverlapCallback.h>`

## Public Types
enum class | EventType { OverlapStart , OverlapStay , OverlapExit }
| Enumeration EventType that describes the type of overlapping event. More...

## Public Member Functions
| OverlapPair (const OverlapPair &contactPair)=default
| Copy constructor.
OverlapPair & | operator= (const OverlapPair &contactPair)=delete
| Assignment operator.
| ~OverlapPair ()=default
| Destructor.
Collider * | getCollider1 () const
| Return a pointer to the first collider in contact.
Collider * | getCollider2 () const
| Return a pointer to the second collider in contact.
Body * | getBody1 () const
| Return a pointer to the first body in contact.
Body * | getBody2 () const
| Return a pointer to the second body in contact.
EventType | getEventType () const
| Return the corresponding type of event for this overlapping pair.

## Detailed Description

This class represents the contact between two colliders of the physics world.

## Member Enumeration Documentation

## ◆ EventType

enum class reactphysics3d::OverlapCallback::OverlapPair::EventType
| strong

Enumeration EventType that describes the type of overlapping event.

Enumerator
OverlapStart | This overlap is a new overlap between the two colliders (the colliders where not overlapping in the previous frame)
OverlapStay | The two colliders were already overlapping in the previous frame and this is a new or updated overlap.
OverlapExit | The two colliders were overlapping in the previous frame and are not overlapping anymore.

The documentation for this class was generated from the following files:

- include/reactphysics3d/collision/OverlapCallback.h
- src/collision/OverlapCallback.cpp